package de.uks.plm.ftglb.actor.dataStructures;

import x10.util.List;

public struct Restore
{
    public val srcId:Long;
    public val diedPlaceId:Long;
    public val tan:Long;
    public val thieves:List[Long];

    public def this(val srcId:Long
                    , val diedPlaceId:Long)
    {
        this(Long.MAX_VALUE, srcId, diedPlaceId, null);
    }

    public def this(val tan:Long
                    , val diedPlaceId:Long
                    , srcId:Long
                    , val thieves:List[Long])
    {
        this.tan = tan;
        this.diedPlaceId = diedPlaceId;
        this.srcId = srcId;
        this.thieves = thieves;
    }
}
