package de.uks.plm.ftglb.actor.logEvents;

public class LEreceiveBackup extends LEidling
{
  public var sourceId:Long;
  public var kindBack:Long;
  public var causeBack:Long;
  public var openLinks:Long;

  public def this(sTime:Long)
  {
    super(sTime, "receiveBackup");
    this.sourceId = -1; // Verändert sich wenn Back isDead.
    this.kindBack = -1;
    this.causeBack = -1;
    this.openLinks = -1; // Wird nur bei fullBackup gesetzt.
  }

  public def toString(refTime:Long) : String
  {
    var str:String = super.toString(refTime);
    var openLinkStr:String = "NA";
    if (this.openLinks != -1)
    {
      openLinkStr = "" + this.openLinks;
    }
    return str + " " + this.kindBack + " " + this.causeBack 
    + " " + this.sourceId + " " + openLinkStr;
  }
}
