package de.uks.plm.ftglb.actor.logEvents;

public class LEstealReceiving extends LEidling
{
  var thiefId:Long;
  var random:Boolean;
  var buddy:Boolean;
  var onThieves:Boolean;
  var onLifelineThieves:Boolean;

  public def this(sTime:Long)
  {
    super(sTime, "stealReceiving");
    this.random = false;
    this.buddy = false;
    this.onThieves = false;
    this.onLifelineThieves = false;
  }

  public def toString(refTime:Long) : String
  {
    return (super.toString(refTime) + " "
      + this.thiefId + " "
      + this.random + " "
      + this.buddy + " "
      + this.onThieves + " "
      + this.onLifelineThieves);
  }
  public def setThiefId(thiefId:Long) : void
  {
    (0 > thiefId) ? (this.thiefId = -thiefId -1) : (this.thiefId = thiefId);
  }
  public def setStealingType(me:Long) :void
  {
    me < 0 ? (this.random = true) : (this.buddy = true);
  }
  public def setOnThieves() : void
  {
    this.onThieves = true;
  }
  public def setOnLifelineThieves() : void
  {
    this.onLifelineThieves = true;
  }
}
