package de.uks.plm.ftglb.actor.debugClass;

import ftglb.actor.TaskBag;

public class Bag implements TaskBag
{
    public var rail:Rail[Long];

    public def this(val rail:Rail[Long]) : Bag
    {
        this.rail = rail;
    }

    public def merge(val that:TaskBag)
    {
        this.merge(that as Bag);
    }

    public def merge(val that:Bag)
    {
        val newRail:Rail[Long]
            = new Rail[Long] (this.size() + that.size());

        Rail.copy(this.rail, 0, newRail, 0, this.size());
        Rail.copy(that.rail, 0, newRail, this.size(), that.size());
        this.rail = newRail;
    }
    
    public def size() : Long
    {
        return (this.rail.size);
    }

    public def toString() : String
    {
        return this.rail.toString();
    }
}
