package de.uks.plm.ftglb.actor.logEvents;

public class LEidling extends LogEvent
{    
  public def this(sTime:Long)
  {
    this(sTime, "idling");
  }

  public def this(sTime:Long, label:String)
  {
    this.label = label;
    this.sTime = sTime;
    this.nextLE = null; //Für countToEnd().
  }
  
  public def toString(refTime:Long) : String
  {
    return ("" + (this.sTime - refTime) + " "
      + (this.wTime - refTime) + " "
      + (this.eTime - refTime) + " "
      + this.label + " "
      + this.predecessor + " "
      + this.successor);
  }

  public def postprocessing() :void
  {
    //Inhalt einfügen.
  }
}
