package de.uks.plm.ftglb.actor.logEvents;

public class LEnoTasks extends LEidling
{
  public var thiefId:Long;
  public var lifelineSteal:Boolean;

  public def this(sTime:Long, label:String)
  {
    super(sTime, label);
    lifelineSteal = false;
  }

  public def this(sTime:Long)
  {
    this(sTime, "noTasks");
  }

  public def toString(refTime:Long) : String
  {
    var str:String = super.toString(refTime);
    var stealType:String;
    if (lifelineSteal)
    {
      stealType = "lifeline";
    } else {
      stealType = "random";
    }
    return (str + " " 
      + this.thiefId + " "
      + stealType);
  }
}
