package de.uks.plm.ftglb.actor.logEvents;

public class LEtrySteal extends LEidling
{
  public var victimId:Long;
  public var stealingType:String;
  // Wird true gesetzt wenn tatsächlich pushThief an ein Victim gesendet wird.
  public var wasSent:Boolean;
  // Wird nur gesezt wenn pushThief verschickt wurde.
  public var sendingTime:Long;

  public def this(sTime:Long)
  {
    super(sTime, "trySteal");
    this.victimId = -1;
    this.wasSent = false;
    this.sendingTime = -1;
  }

  public def toString(refTime:Long) : String
  {
    return (super.toString(refTime) + " "
      + this.victimId + " "
      + this.stealingType + " "
      + this.wasSent + " "
      + (this.sendingTime == -1 ? ("NA") : (this.sendingTime - refTime)));
  }

  public def setStealingType(me:Long) :void
  {
    //me < 0 ? (this.random = true) : (this.lifeline = true);
    me < 0 ? (this.stealingType = "random") : (this.stealingType = "lifeline");
  }
}
